For official Google Analytics API announcements, subscribe to
[Google Analytics API Notify Group](https://groups.google.com/forum/#!forum/google-analytics-api-notify).

## **2026-09-14** Added conversational query support in v1 alpha

Added the [`properties.chat`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/chat)
method for interacting with Google Analytics data using natural language queries.

- The [request body](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/chat#request-body) accepts a query, an optional session ID for continuing a previous conversation, and an optional `returnPropertyQuota` parameter.
- The [response](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/chat#response-body) returns structured chat response data in [`ResponseBlock`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/chat#ResponseBlock) objects, the session ID, and property token quota details using [`PropertyChatQuota`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/chat#PropertyChatQuota) if requested.
- The [`https://www.googleapis.com/auth/analytics.chatbot.read`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/chat#authorization-scopes) OAuth scope provides read access to the `properties.chat` method.

> [!NOTE]
> **Note:** This product uses AI and may display inaccurate info. Your chat activity may be used to improve the product and your use is subject to Google's [Terms](https://policies.google.com/terms), [AI Use
> Policy](https://policies.google.com/terms/generative-ai/use-policy), and [Privacy
> Policy](https://policies.google.com/privacy). [Learn more about properties.chat AI
> Privacy](https://support.google.com/helpguide/answer/14185196).

## **2026-09-14** Added data truncation reasons to report responses

Added the
[`dataTruncationReasons`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/ResponseMetaData#FIELDS.data_truncation_reasons)
field to [`ResponseMetaData`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/ResponseMetaData) in v1
beta and v1 alpha. When a report's data is truncated, this field will include
a list of [`DataTruncationReason`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/ResponseMetaData#DataTruncationReason)
objects which include the truncation type, a descriptive message, and
the affected dates.

## **2026-04-23** Added support for conversion reporting in v1 alpha

Added support for retrieving data from the [Conversion performance
report](https://support.google.com/analytics/answer/16654980) using the
[`runReport`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/runReport) method in the Data
API v1 alpha. This lets you access the same conversion data available in
the Google Analytics UI under **Advertising** \> **Conversion performance**.

- Added the [`ConversionSpec`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/runReport#ConversionSpec) field to [`RunReportRequest`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/runReport#request-body), which allows filtering conversions using `conversionActions` (conversion action IDs) and selecting an [`AttributionModel`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/runReport#AttributionModel) (`DATA_DRIVEN` or `LAST_CLICK`).
- Added the [`Section`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/Section) field to [`ResponseMetaData`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/ResponseMetaData) to identify whether the data in the report is from standard reporting (`SECTION_REPORT`) or conversion reporting (`SECTION_ADVERTISING`).

Updated the [`getMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getMetadata)
method in the Data API v1 alpha to provide information for conversion
reporting:

- Added the `conversions` field to the [response](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getMetadata#response-body), which returns a list of [`ConversionMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getMetadata#ConversionMetadata) objects mapping conversion action IDs to display names.
- Added the `sections` field to [`DimensionMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getMetadata#DimensionMetadata) and [`MetricMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getMetadata#MetricMetadata) to identify whether a specific field is compatible with standard reporting, conversion reporting, or both.

> [!CAUTION]
> This feature may not be available to your Google Analytics property. The
> Google Analytics team is actively working to expand this feature to more
> properties. Please reach out to your [support team](https://support.google.com/analytics/gethelp) if you have
> questions about the eligibility of your property.

## **2024-10-20** Added the `EmptyFilter` dimension filter type

Using the [EmptyFilter](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/FilterExpression#EmptyFilter)
dimension filter you can create filtering conditions to
compare against a blank value.

## **2024-10-15** Added Sampling level feature to the `reportTasks` method

Using the [samplingLevel](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.reportTasks#SamplingLevel)
field of the [properties.runReportTask](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.reportTasks)
method you can control the report's
[sampling level](https://support.google.com/analytics/answer/13331292).

This feature gives Google Analytics 360 properties access to higher sampling
limits of 1 billion events. Also, sampling limits can be set to `UNSAMPLED`
for large event count unsampled results.

## **2024-09-18** Added Property Quotas Snapshot feature

Using the [properties.getPropertyQuotasSnapshot](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties/getPropertyQuotasSnapshot)
method, you can get a current snapshot of all property quotas
organized by quota category for a given property.

## **2024-06-28** Added "client errors per project per property" quota

There is now a limit of 10,000 API server errors allowed per project, per
property, within a 15-minute window. This includes all requests resulting in a
response with any code other than `500` or `200`. Examples of errors falling
under this quota: using incompatible dimensions and metrics combinations, all
authentication errors.

If this limit is exceeded, further API calls to that property will be
temporarily blocked for the associated Google Cloud project until the 15-minute
window ends.

## **2024-05-14** Added Comparisons feature

Using [Comparisons](https://support.google.com/analytics/answer/9269518), you
can evaluate subsets of your data side by side.

Core reporting methods of the Data API v1beta are updated to support the
[`comparisons`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/runReport#body.request_body.FIELDS.comparisons)
field which, when included, specifies the configuration of comparisons
requested.

In a request, you can specify either a basic comparison, by providing the [`dimensionFilter`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Comparison#FIELDS.dimension_filter)
expression with a request, or use a saved comparison by providing the
comparison's resource name in the
[`comparison`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Comparison#FIELDS.comparison)
field.

The [getMetadata](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/getMetadata) method is updated to
list all saved comparisons available for a property under the
[`comparisons`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/getMetadata#body.Metadata.FIELDS.comparisons)
response field.

When at least one comparison is specified in a request, the response will
contain the `comparison` column identifying each comparison.

Currently, saved comparisons can only be created using the Google
Analytics UI.

## **2024-05-08** Added report tasks, an asynchronous reporting feature, to the Data API v1alpha.

Using report tasks, you can initiate a long running asynchronous request to
form a customized report of your Google Analytics event data.

The following report task manipulation methods have been added to the Data API
v1alpha:

- [properties.reportTasks.create](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.reportTasks/create)
- [properties.reportTasks.get](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.reportTasks/get)
- [properties.reportTasks.list](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.reportTasks/list)
- [properties.reportTasks.query](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.reportTasks/query)

## **2024-05-06** New dimensions for key events

Dimensions and metrics for [key
events](https://support.google.com/analytics/answer/13965727) are now available.

Modify your report requests that use the `isConversionEvent` dimension to
use the `isKeyEvent` dimension instead.

Modify any report requests that use a **Deprecated Metric** in the
following table to use the **Key Event Metric** instead.

| Deprecated Metric | Key Event Metric |
|---|---|
| `advertiserAdCostPerConversion` | `advertiserAdCostPerKeyEvent` |
| `conversions` | `keyEvents` |
| `firstTimePurchaserConversionRate` | `firstTimePurchaserRate` |
| `purchaserConversionRate` | `purchaserRate` |
| `sessionConversionRate` | `sessionKeyEventRate` |
| `userConversionRate` | `userKeyEventRate` |

Make similar modifications to any usage of [key event metrics for one key
event](https://developers.google.com/analytics/devguides/reporting/data/v1/advanced#key_event_metrics_per_event)
in your report requests.

The response for the [`properties/getMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/getMetadata) method reflects the introduction
of key event dimensions and metrics in [`DimensionMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/getMetadata#DimensionMetadata) and
[`MetricMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/getMetadata#MetricMetadata) objects as follows:

- The `apiName`, `uiName`, and `description` contain the key event API name, UI name, and description.
- The `deprecatedApiNames` repeated field has an entry with the deprecated conversion API name.

## **2024-03-25** Added primary channel group, manual traffic source \& integration specific dimensions.

Primary channel group, manual traffic source and CM360, DV360, SA360 integration
specific dimensions added to the Data API [schema](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema).

**Audience dimensions:**

- `audienceId` Audience ID. The numeric identifier of an Audience.

**Primary Channel Group dimensions:**

- `firstUserPrimaryChannelGroup` First user primary channel group

- `primaryChannelGroup` Primary channel group

- `sessionPrimaryChannelGroup` Session primary channel group

**Manual Traffic Source dimensions:**

- `manualCampaignId` Manual campaign ID

- `manualCampaignName` Manual campaign name

- `manualCreativeFormat` Manual creative format

- `manualMarketingTactic` Manual marketing tactic

- `manualMedium` Manual medium

- `manualSource` Manual source

- `manualSourceMedium` Manual source / medium

- `manualSourcePlatform` Manual source platform

- `firstUserManualCampaignId` First user manual campaign ID

- `firstUserManualCampaignName` First user manual campaign name

- `firstUserManualCreativeFormat` First user manual creative format

- `firstUserManualMarketingTactic` First user manual marketing tactic

- `firstUserManualMedium` First user manual medium

- `firstUserManualSource` First user manual source

- `firstUserManualSourceMedium` First user manual source / medium

- `firstUserManualSourcePlatform` First user manual source platform

- `sessionManualCampaignId` Session manual campaign ID

- `sessionManualCampaignName` Session manual campaign name

- `sessionManualCreativeFormat` Session manual creative format

- `sessionManualMarketingTactic` Session manual marketing tactic

- `sessionManualMedium` Session manual medium

- `sessionManualSource` Session manual source

- `sessionManualSourceMedium` Session manual source / medium

- `sessionManualSourcePlatform` Session manual source platform

**Campaign Manager 360 (CM360) integration dimensions:**

- `cm360AccountId` CM360 account ID

- `cm360AccountName` CM360 account name

- `cm360AdvertiserId` CM360 advertiser ID

- `cm360AdvertiserName` CM360 advertiser name

- `cm360CampaignId` CM360 campaign ID

- `cm360CampaignName` CM360 campaign name

- `cm360CreativeFormat` CM360 creative format

- `cm360CreativeId` CM360 creative ID

- `cm360CreativeName` CM360 creative name

- `cm360CreativeType` CM360 creative type

- `cm360CreativeTypeId` CM360 creative type ID

- `cm360CreativeVersion` CM360 creative version

- `cm360Medium` CM360 medium

- `cm360PlacementCostStructure` CM360 placement cost structure

- `cm360PlacementId` CM360 placement ID

- `cm360PlacementName` CM360 placement name

- `cm360RenderingId` CM360 rendering ID

- `cm360SiteId` CM360 site ID

- `cm360SiteName` CM360 site name

- `cm360Source` CM360 source

- `cm360SourceMedium` CM360 source / medium

- `firstUserCm360AccountId` First user CM360 account ID

- `firstUserCm360AccountName` First user CM360 account name

- `firstUserCm360AdvertiserId` First user CM360 advertiser ID

- `firstUserCm360AdvertiserName` First user CM360 advertiser name

- `firstUserCm360CampaignId` First user CM360 campaign ID

- `firstUserCm360CampaignName` First user CM360 campaign name

- `firstUserCm360CreativeFormat` First user CM360 creative format

- `firstUserCm360CreativeId` First user CM360 creative ID

- `firstUserCm360CreativeName` First user CM360 creative name

- `firstUserCm360CreativeType` First user CM360 creative type

- `firstUserCm360CreativeTypeId` First user CM360 creative type ID

- `firstUserCm360CreativeVersion` First user CM360 creative version

- `firstUserCm360Medium` First user CM360 medium

- `firstUserCm360PlacementCostStructure` First user CM360 placement cost structure

- `firstUserCm360PlacementId` First user CM360 placement ID

- `firstUserCm360PlacementName` First user CM360 placement name

- `firstUserCm360RenderingId` First user CM360 rendering ID

- `firstUserCm360SiteId` First user CM360 site ID

- `firstUserCm360SiteName` First user CM360 site name

- `firstUserCm360Source` First user CM360 source

- `firstUserCm360SourceMedium` First user CM360 source / medium

- `sessionCm360AccountId` Session CM360 account ID

- `sessionCm360AccountName` Session CM360 account name

- `sessionCm360AdvertiserId` Session CM360 advertiser ID

- `sessionCm360AdvertiserName` Session CM360 advertiser name

- `sessionCm360CampaignId` Session CM360 campaign ID

- `sessionCm360CampaignName` Session CM360 campaign name

- `sessionCm360CreativeFormat` Session CM360 creative format

- `sessionCm360CreativeId` Session CM360 creative ID

- `sessionCm360CreativeName` Session CM360 creative name

- `sessionCm360CreativeType` Session CM360 creative type

- `sessionCm360CreativeTypeId` Session CM360 creative type ID

- `sessionCm360CreativeVersion` Session CM360 creative version

- `sessionCm360Medium` Session CM360 medium

- `sessionCm360PlacementCostStructure` Session CM360 placement cost structure

- `sessionCm360PlacementId` Session CM360 placement ID

- `sessionCm360PlacementName` Session CM360 placement name

- `sessionCm360RenderingId` Session CM360 rendering ID

- `sessionCm360SiteId` Session CM360 site ID

- `sessionCm360SiteName` Session CM360 site name

- `sessionCm360Source` Session CM360 source

- `sessionCm360SourceMedium` Session CM360 source / medium

**Google Display \& Video 360 (DV360) integration dimensions:**

- `dv360AdvertiserId` DV360 advertiser ID

- `dv360AdvertiserName` DV360 advertiser name

- `dv360CampaignId` DV360 campaign ID

- `dv360CampaignName` DV360 campaign name

- `dv360CreativeFormat` DV360 creative format

- `dv360CreativeId` DV360 creative ID

- `dv360CreativeName` DV360 creative name

- `dv360ExchangeId` DV360 exchange ID

- `dv360ExchangeName` DV360 exchange name

- `dv360InsertionOrderId` DV360 insertion order ID

- `dv360InsertionOrderName` DV360 insertion order name

- `dv360LineItemId` DV360 line item ID

- `dv360LineItemName` DV360 line item name

- `dv360Medium` DV360 medium

- `dv360PartnerId` DV360 partner ID

- `dv360PartnerName` DV360 partner name

- `dv360Source` DV360 source

- `dv360SourceMedium` DV360 source / medium

- `firstUserDv360AdvertiserId` First user DV360 advertiser ID

- `firstUserDv360AdvertiserName` First user DV360 advertiser name

- `firstUserDv360CampaignId` First user DV360 campaign ID

- `firstUserDv360CampaignName` First user DV360 campaign name

- `firstUserDv360CreativeFormat` First user DV360 creative format

- `firstUserDv360CreativeId` First user DV360 creative ID

- `firstUserDv360CreativeName` First user DV360 creative name

- `firstUserDv360ExchangeId` First user DV360 exchange ID

- `firstUserDv360ExchangeName` First user DV360 exchange name

- `firstUserDv360InsertionOrderId` First user DV360 insertion order ID

- `firstUserDv360InsertionOrderName` First user DV360 insertion order name

- `firstUserDv360LineItemId` First user DV360 line item ID

- `firstUserDv360LinteItemName` First user DV360 line item name

- `firstUserDv360Medium` First user DV360 medium

- `firstUserDv360PartnerId` First user DV360 partner ID

- `firstUserDv360PartnerName` First user DV360 partner name

- `firstUserDv360Source` First user DV360 source

- `firstUserDv360SourceMedium` First user DV360 source / medium

- `sessionDv360AdvertiserId` Session DV360 advertiser ID

- `sessionDv360AdvertiserName` Session DV360 advertiser name

- `sessionDv360CampaignId` Session DV360 campaign ID

- `sessionDv360CampaignName` Session DV360 campaign name

- `sessionDv360CreativeFormat` Session DV360 creative format

- `sessionDv360CreativeId` Session DV360 creative ID

- `sessionDv360CreativeName` Session DV360 creative name

- `sessionDv360ExchangeId` Session DV360 exchange ID

- `sessionDv360ExchangeName` Session DV360 exchange name

- `sessionDv360InsertionOrderId` Session DV360 insertion order ID

- `sessionDv360InsertionOrderName` Session DV360 insertion order name

- `sessionDv360LineItemId` Session DV360 line item ID

- `sessionDv360LineItemName` Session DV360 line item name

- `sessionDv360Medium` Session DV360 medium

- `sessionDv360PartnerId` Session DV360 partner ID

- `sessionDv360PartnerName` Session DV360 partner name

- `sessionDv360Source` Session DV360 source

- `sessionDv360SourceMedium` Session DV360 source / medium

**Google Search Ads 360 (SA360) integration dimensions:**

- `firstUserSa360AdGroupId` First user SA360 ad group ID

- `firstUserSa360AdGroupName` First user SA360 ad group name

- `firstUserSa360CampaignId` First user SA360 campaign ID

- `firstUserSa360CampaignName` First user SA360 campaign

- `firstUserSa360CreativeFormat` First user SA360 creative format

- `firstUserSa360EngineAccountId` First user SA360 engine account ID

- `firstUserSa360EngineAccountName` First user SA360 engine account name

- `firstUserSa360EngineAccountType` First user SA360 engine account type

- `firstUserSa360KeywordText` First user SA360 keyword text

- `firstUserSa360ManagerAccountId` First user SA360 manager account ID

- `firstUserSa360ManagerAccountName` First user SA360 manager account name

- `firstUserSa360Medium` First user SA360 medium

- `firstUserSa360Query` First user SA360 query

- `firstUserSa360Source` First user SA360 source

- `firstUserSa360SourceMedium` First user SA360 source / medium

- `sa360AdGroupId` SA360 ad group ID

- `sa360CampaignId` SA360 campaign ID

- `sa360AdGroupName` SA360 ad group name

- `sa360CampaignName` SA360 campaign

- `sa360CreativeFormat` SA360 creative format

- `sa360EngineAccountId` SA360 engine account ID

- `sa360EngineAccountName` SA360 engine account name

- `sa360EngineAccountType` SA360 engine account type

- `sa360KeywordText` SA360 keyword text

- `sa360ManagerAccountId` SA360 manager account ID

- `sa360ManagerAccountName` SA360 manager account name

- `sa360Medium` SA360 medium

- `sa360Query` SA360 query

- `sa360Source` SA360 source

- `sa360SourceMedium` SA360 source / medium

- `sessionSa360AdGroupId` Session SA360 ad group ID

- `sessionSa360CampaignId` Session SA360 campaign ID

- `sessionSa360ManagerAccountId` Session SA360 manager account ID

- `sessionSa360ManagerAccountName` Session SA360 manager account name

- `sessionSa360SourceMedium` Session SA360 source / medium

## **2024-03-06** Inactive user audiences support in Audience Exports.

The Audience Export feature better supports exporting inactive user audiences.
Users enter these audiences without a qualifying event; for example, the user
can enter the audience by not visiting your website for seven days. Examples of
inactive user audiences include "7-day inactive purchasers", "7-day inactive
users", \& "7-day unnotified users". To learn more about those suggested
audiences, see
[Suggested audiences](https://support.google.com/analytics/answer/10427338).

## **2024-02-28** Audience Exports return the user ID specified in tagging.

Audience Exports now return the user ID specified in tagging even if
user-provided data is turned on for your property. If user-provided data
collection is turned on, user-provided data along with User-ID can be sent to
Google Analytics in tagging to improve measurement. To learn more, see
[user-provided data collection](https://support.google.com/analytics/answer/14077171).

## **2024-01-30** Webhook notifications support for Audience Lists, Recurring Audience Lists in the Data API v1 alpha.

[`AudienceList.webhookNotification`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.audienceLists#AudienceList.FIELDS.webhook_notification)
and [`RecurringAudienceList.webhookNotification`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.recurringAudienceLists#RecurringAudienceList.FIELDS.webhook_notification)
fields can be specified when creating an Audience List (using [properties.audienceLists.create](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.audienceLists/create))
or Recurring Audience List (using [properties.recurringAudienceLists.create](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.recurringAudienceLists/create)).

This functionality lets you asynchronously receive Webhook notifications
when an audience list becomes available.

## **2024-01-18** Improved compatibility for dimensions that include the query string or minute component.

Dimensions that include the query string are now compatible with most fields.
Dimensions like `pagePathPlusQueryString`, `unifiedPageScreen`, `pageLocation`
and `fullPageUrl` are now compatible with many additional fields including
`sessionSource`, `browser`, `city` and `landingPage`.

Dimensions that include the minute component are now compatible with most
fields. Dimensions like `minute`, `nthMinute` and `dateHourMinute` are now
compatible with a similar set of additional fields.

See the [GA4 Dimensions \& Metrics Explorer](https://ga-dev-tools.google/ga4/dimensions-metrics-explorer/) for comprehensive compatibility information.

## **2023-12-13** Custom item-scoped parameters

Item-scoped custom dimensions can now be included in Analytics Data API queries
using the following syntax:

| Generic API Name | Description |
|---|---|
| customItem:parameter_name | Item-scoped Custom Dimension for parameter_name |

See the [API Dimensions \& Metrics](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#custom_dimensions) for more
information.

## **2023-12-05** Audience Lists are available in the Data API v1 beta as Audience Exports

Audience Lists feature has been renamed to
[Audience Exports](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-export-basics) and added to the Data API v1
beta.

Added the following methods to the Data API v1 beta:

- [`properties.audienceExports.create`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties.audienceExports/create)

- [`properties.audienceExports.get`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties.audienceExports/get)

- [`properties.audienceExports.list`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties.audienceExports/list)

- [`properties.audienceExports.query`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties.audienceExports/query)

## **2023-11-28** Added `samplingMetadatas` to report response

Added `samplingMetadatas` to
[`ResponseMetaData`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/ResponseMetaData). This collection will
contain a [`SampleMetadata`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/ResponseMetaData#samplingmetadata)
for each date range in the request for which the results were
[sampled](https://support.google.com/analytics/answer/13331292). Google Analytics
will apply sampling only when it anticipates that cardinality limits will
reduce data quality.

## **2023-11-28** Added recurring Audience List export functionality to the Data API v1 alpha

Added [`properties.recurringAudienceLists.create`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.recurringAudienceLists/create),
[`properties.recurringAudienceLists.create`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.recurringAudienceLists/get),
[`properties.recurringAudienceLists.list`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.recurringAudienceLists/list)
methods to the Data API v1 alpha.

This functionality lets you produce audience lists daily as Audience
memberships change. Recurring audience lists ensure you are working
with the freshest Audience membership results.

## **2023-10-13** Added support for Audiences with membership durations of 1 day

Audiences with membership durations of 1 day are now supported by the
[Audience Lists export functionality](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-export-basics).

## **2023-09-12** AudienceList default ordering rules

By default, reports created using the [Audience Lists export functionality](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-export-basics)
follow the same ordering rules as the other reporting methods of the Data API:
the ordering will be descending by first column, then descending by second
column, etc.

Before this change, you might have received the following report:

| deviceId | isAdsPersonalizationAllowed |
|---|---|
| ABC | true |
| DAC | false |
| ABC | false |
| AAA | true |

After this change, you will receive the following report:

| deviceId | isAdsPersonalizationAllowed |
|---|---|
| AAA | true |
| ABC | false |
| ABC | true |
| DAC | false |

## **2023-08-15** Added `isLimitedAdTracking` dimension to the Audience List export schema

- `isLimitedAdTracking` The device's Limit Ad Tracking setting. Possible values
  include: `true`, `false`, and `(not set)`.

  To learn more, see [Audience List Dimensions](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-list-api-schema).

## **2023-08-15** Added `currencyCode` dimension, `itemDiscountAmount` metric

- `currencyCode` The local currency code (based on ISO 4217 standard) of the
  eCommerce event. For example, 'USD' or 'GBP'.

- `itemDiscountAmount` The monetary value of item discounts in eCommerce events.
  This metric is populated in tagging by the 'discount' item parameter.

To learn more, see [Data API reporting schema](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema).

## **2023-08-10** Added `isAdsPersonalizationAllowed` dimension to the Audience List export schema

- `isAdsPersonalizationAllowed` Is ads personalization allowed.
  If a user is eligible for ads personalization
  `isAdsPersonalizationAllowed` returns `true`. If a user is not
  eligible for ads personalization, `isAdsPersonalizationAllowed`
  returns `false`.

  To learn more, see [Audience List Dimensions](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-list-api-schema).

## **2023-07-10** Audience Lists

[Audience Lists](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-export-basics) support added to the Data API v1
alpha. Audiences Lists include a snapshot of the users in the audience
at the time of Audience List creation.

The following methods added to the Data API v1 alpha:

- [`properties.audienceLists.create`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.audienceLists/create)

- [`properties.audienceLists.get`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.audienceLists/get)

- [`properties.audienceLists.list`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.audienceLists/list)

- [`properties.audienceLists.query`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/properties.audienceLists/query)

## **2023-05-19** Custom Channel Groups

[Custom channel groups](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#custom_channel_groups)
support added to the Data API.

## **2023-05-11** Tokens quota changes.

The quota system of the Data API has been updated to allow for more precise
charges.

The number of tokens charged for each request has been updated
in line with the quota change and rebalanced in a way to allow for a larger
number of simple reporting queries, while charging significantly more
quota tokens for large date reports.

After this change, while the charge for some requests will remain the same,
there will be a noticeable increase in the charges for more complicated queries.
For example, requests for more than 6 months of data can charge 1,000 or more
quota tokens.

**Standard Properties**

| Quota Name | Old Limit | **New Limit** |
|---|---|---|
| Core Tokens Per Property Per Day | 25,000 | **200,000** |
| Core Tokens Per Property Per Hour | 5,000 | **40,000** |
| Core Tokens Per Project Per Property Per Hour | 1,750 | **14,000** |
| Realtime Tokens Per Property Per Day | 25,000 | **200,000** |
| Realtime Tokens Per Property Per Hour | 5,000 | **40,000** |
| Realtime Tokens Per Project Per Property Per Hour | 1,750 | **14,000** |
| Funnel Tokens Per Property Per Day | 25,000 | **200,000** |
| Funnel Tokens Per Property Per Hour | 5,000 | **40,000** |
| Funnel Tokens Per Project Per Property Per Hour | 1,750 | **14,000** |

**Analytics 360 Properties**

| Quota Name | Old Limit | **New Limit** |
|---|---|---|
| Core Tokens Per Property Per Day | 250,000 | **2,000,000** |
| Core Tokens Per Property Per Hour | 50,000 | **400,000** |
| Core Tokens Per Project Per Property Per Hour | 17,500 | **140,000** |
| Realtime Tokens Per Property Per Day | 250,000 | **2,000,000** |
| Realtime Tokens Per Property Per Hour | 50,000 | **400,000** |
| Realtime Tokens Per Project Per Property Per Hour | 17,500 | **140,000** |
| Funnel Tokens Per Property Per Day | 250,000 | **2,000,000** |
| Funnel Tokens Per Property Per Hour | 50,000 | **400,000** |
| Funnel Tokens Per Project Per Property Per Hour | 17,500 | **140,000** |

## **2023-03-02** Added date dimensions.

- `dayOfWeekName` Day of week name. The day of the week in English. This dimension has values of `Sunday`, `Monday`, etc.

- `isoWeek` ISO week of the year. ISO week number, where each week starts on Monday. For details, see <https://en.wikipedia.org/wiki/ISO_week_date>. Example values include `01`, `02`, \& `53`.

- `isoYear` ISO year. The ISO year of the event. For details, see <https://en.wikipedia.org/wiki/ISO_week_date>. Example values include `2022` \& `2023`.

- `isoYearIsoWeek` ISO week of ISO year. The combined values of `isoWeek` and `isoYear`. Example values include `201652` \& `201701`.

- `yearMonth` Year month. The combined values of `year` and `month`. Example values include `202212` or `202301`.

- `yearWeek` Year week. The combined values of `year` and `week`. Example values include `202253` or `202301`.

## **2023-02-27** Added e-commerce dimensions.

- `itemListPosition` Item list position. The position of an item (e.g., a product you sell) in a list. This dimension is populated in tagging by the 'index' parameter in the items array.

- `itemLocationID` Item location ID. The physical location associated with the item (e.g. the physical store location). It's recommended to use the [Google Place ID](https://developers.google.com/maps/documentation/places/web-service/place-id) that corresponds to the associated item. A custom location ID can also be used. This field is populated in tagging by the 'location_id' parameter in the items array.

- `itemPromotionCreativeSlot` Item promotion creative slot. The name of the promotional creative slot associated with the item. This dimension can be specified in tagging by the `creative_slot` parameter at the event or item level. If the parameter is specified at both the event \& item level, the item-level parameter is used.

## **2023-02-21** Added 'Landing page + query string' dimension.

- `landingPagePlusQueryString` Landing page + query string. The page path + query string associated with the first pageview in a session.

This field replaces the `landingPage` dimension which is deprecated and will be updated to not return a query string on May 14, 2023.

## **2023-01-28** Added 'Views per user', 'Scrolled users' metrics.

- `screenPageViewsPerUser` Views per user. The number of app screens or web pages your users viewed per active user. Repeated views of a single page or screen are counted. `(screen_view + page_view events) / active users`.

- `scrolledUsers` Scrolled users. The number of unique users who scrolled down at least 90% of the page.

## **2023-01-23** Added 'Continent', 'Continent ID' dimensions.

- `continent` Continent. The continent from which the user activity originated. For example, `Americas` or `Asia`.

- `continentId` Continent ID. The geographic ID of the continent from which the user activity originated, derived from their IP address.

## **2023-01-23** Added 'Test data filter ID' dimension.

- `testDataFilterId` Test data filter ID. The numeric identifier of a data filter in testing state. You use data filters to include or exclude event data from your reports based on event-parameter values. To learn more, see <https://support.google.com/analytics/answer/10108813>.

## **2022-10-18** Added Ads metrics.

- `advertiserAdClicks` Ads clicks. Total number of times users have clicked on an ad to reach the property.
- `advertiserAdCost` Ads cost. The total amount you paid for your ads.
- `advertiserAdCostPerClick` Ads cost per click. Ads cost per click is ad cost divided by ad clicks and is often abbreviated CPC.
- `advertiserAdCostPerConversion` Cost per conversion. Cost per conversion is ad cost divided by conversions.
- `advertiserAdImpressions` Ads impressions. The total number of impressions.
- `returnOnAdSpend` Return on ad spend. Return On Ad Spend (ROAS) is total revenue divided by advertiser ad cost.

## **2022-10-17** Added item-scoped metrics.

- `itemsAddedToCart` Items added to cart. The number of units added to cart for a single item.
- `itemsCheckedOut` Items checked out. The number of units checked out for a single item.
- `itemsClickedInList` Items clicked in list. The number of units clicked in list for a single item.
- `itemsClickedInPromotion` Items clicked in promotion. The number of units clicked in promotion for a single item.
- `itemsViewed` Items viewed. The number of units viewed for a single item.
- `itemsViewedInList` Items viewed in list. The number of units viewed in list for a single item.
- `itemsViewedInPromotion` Items viewed in promotion. The number of units viewed in promotion for a single item.

## **2022-09-13** Schema compatibility changes announcement.

On *December 1st 2022*, the following breaking changes will occur:

1. Item-scoped dimensions like `itemName` are becoming incompatible with
   event-scoped metrics like `eventCount`. Item-scoped dimensions will still be
   compatible with item-scoped metrics like `itemRevenue`, user-based metrics
   like `activeUsers`, and session-based metrics like `sessions`.

2. Attribution dimensions like `source` are becoming incompatible with some
   event-scoped metrics like `eventCount`. Attribution dimensions will still be
   compatible with attributable metrics like `conversions`, user-based metrics
   like `activeUsers`, and session-based metrics like `sessions`.

3. Dimensions that include the query string like `pagePathPlusQueryString`
   will only be compatible with a limited set of dimensions \& metrics.

## **2022-09-01** Quota changes.

- `Requests per day` , `Requests Per Minute`, `Requests Per Minute Per User`
  quotas are removed from the Data API.

- `Tokens Per Project Per Property Per Hour` quota has been added to the API.

- Each request consumes quota for both `Tokens Per Property Per Hour` and
  `Tokens Per Project Per Property Per Hour`.

  See the [Quotas documentation](https://developers.google.com/analytics/devguides/reporting/data/v1/quotas)
  for the detailed information on new quotas.

## **2022-08-03** Added session scoped SA360 dimensions.

- `sessionSa360AdGroupName` Session SA360 ad group name. The Ad Group name from Search Ads 360 that led to this session.

- `sessionSa360CampaignName` Session SA360 campaign. The Campaign name from Search Ads 360 that led to this session.

- `sessionSa360CreativeFormat` Session SA360 creative format. The type of creative in Search Ads 360 that led to this session. For example, 'Responsive search ad' or 'Expanded text ad'.

- `sessionSa360EngineAccountId` Session SA360 engine account ID. The ID of the engine account in SA360 that led to this session.

- `sessionSa360EngineAccountName` Session SA360 engine account name. The name of the engine account in SA360 that led to this session.

- `sessionSa360EngineAccountType` Session SA360 engine account type. The type of the engine account in Search Ads 360 that led to this session. For example, 'google ads', 'bing', or 'baidu'.

- `sessionSa360Keyword` Session SA360 keyword text. The search engine keyword from Search Ads 360 that led to this session.

- `sessionSa360Medium` Session SA360 medium. The search engine keyword from Search Ads 360 that led to this session. For example, 'cpc'.

- `sessionSa360Query` Session SA360 query. The search query from Search Ads 360 that led to this session.

- `sessionSa360Source` Session SA360 source. The source of the traffic from Search Ads 360 that led to this session. For example, 'example.com' or 'google'.

- `sessionCampaignId`, `sessionCampaignName` dimensions now support Search Ads 360 campaigns.

## **2022-07-11** Added conversion rate metrics.

**Conversion rate**

- `sessionConversionRate` The percentage of sessions in which any conversion event was triggered.

- `userConversionRate` The percentage of users who triggered any conversion event.

**[Conversion Rate Metrics For One Conversion](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#conversion_rate_metrics_for_one_conversion)**

- `sessionConversionRate:event_name` The percentage of sessions in which a specific conversion event was triggered.

- `userConversionRate:event_name` The percentage of users who triggered a specific conversion event.

## **2022-05-05** Added Funnel reporting functionality to the Alpha channel.

- `runFunnelReport` method added to the *v1alpha* version of the API, which
  returns a customized [funnel report](https://support.google.com/analytics/answer/9327974)
  of your Google Analytics event data.

- This method is introduced at alpha stability with the intention of gathering
  feedback on syntax and capabilities before entering beta. Please complete the
  [Google Analytics Data API Funnel Reporting Feedback](https://docs.google.com/forms/d/e/1FAIpQLSdwOlQDJAUoBiIgUZZ3S_Lwi8gr7Bb0k1jhvc-DEg7Rol3UjA/viewform)
  to give your feedback on this API.

## **2022-02-16** Added new dimensions.

**Manual term \& content**

- `firstUserManualAdContent` First user manual ad content. The ad content
  that first acquired the user. Populated by the `utm_content` parameter.

- `firstUserManualTerm` First user manual term. The term that first acquired
  the user. Populated by the `utm_term` parameter.

- `manualAdContent` Manual ad content. The ad content attributed to the
  conversion event. Populated by the `utm_content` parameter.

- `manualTerm` Manual term. The term attributed to the conversion event.
  Populated by the `utm_term` parameter.

- `sessionManualAdContent` Session manual ad content. The ad content that led
  to a session. Populated by the `utm_content` parameter.

- `sessionManualTerm` Session manual term. The term that led to a session.
  Populated by the `utm_term` parameter.

**Crash analysis**

- `crashAffectedUsers` Crash-affected users. The number of users that logged
  a crash in this row of the report.

- `crashFreeUsersRate` Crash-free users rate.

**App/Web**

- `averageSessionDuration` The average duration (in seconds) of users'
  sessions.

- `newVsReturning` New / returning users.

- `screenPageViewsPerSession` Views per session.

- `landingPage` Landing page. The page path + query string associated with
  the first pageview in a session.

- `platformDeviceCategory` The platform and type of device on which your
  website or mobile app ran.

**Mobile App**

- `averagePurchaseRevenuePerUser` Average purchase revenue per user.

- `firstTimePurchaserConversionRate` The percentage of active users who made
  their first purchase.

- `firstTimePurchasersPerNewUser` The average number of first time purchasers
  per new user.

- `dauPerMau` DAU / MAU. The rolling percent of 30-day active users who are
  also 1-day active users.

- `dauPerWau` DAU / WAU. The rolling percent of 7-day active users who are
  also 1-day active users.

- `wauPerMau` WAU / MAU. The rolling percent of 30-day active users who are
  also 7-day active users.

- `purchaserConversionRate` The percentage of active users who made 1 or more
  purchase transactions.

- `transactionsPerPurchaser` Transactions per purchaser.

**Google Ads campaign**

- `firstUserGoogleAdsCampaignType` The campaign type of the Google Ads
  campaign that first acquired the user.

- `googleAdsCampaignType` The campaign type for the Google Ads campaign
  attributed to the conversion event.

- `sessionGoogleAdsCampaignType` The campaign type for the Google Ads campaign
  that led to this session.

## **2021-09-07** Added new Date/time dimensions.

- `dateHourMinute` The combined values of date, hour, and minute formatted
  as YYYYMMDDHHMM.

- `minute` The two-digit minute of the hour that the event was logged.

- `nthMinute` The number of minutes since the start of the date range.

## **2021-09-07** Added new dimensions populated by event parameters.

- `achievementId` The achievement ID in a game for an event.

- `character` The player character in a game for an event.

- `fileExtension` The extension of the downloaded file.

- `fileName` The page path of the downloaded file.

- `groupId` The player group ID in a game for an event.

- `linkClasses` The HTML class attribute for an outbound link.

- `linkDomain` The destination domain of the outbound link.

- `linkId` The HTML id attribute for an outbound link or file download.

- `linkText` The link text of the file download.

- `linkUrl` The full url for an outbound link or file download.

- `method` The method by which an event was triggered.

- `outbound` Returns 'true' if the link leads to a site is not a part of the
  property's domain.

- `pageLocation` The protocol, hostname, page path, and query string for web
  pages visited.

- `pageReferrer` The full referring URL including the hostname and path.

- `percentScrolled` The percentage down the page that the user has scrolled
  (for example, '90').

- `searchTerm` The term searched by the user.

- `videoProvider` The source of the video (for example, 'youtube').

- `videoTitle` The title of the video.

- `videoUrl` The url of the video.

- `visible` Returns 'true' if the content is visible.

- `unifiedPagePathScreen` The page path (web) or screen class (app) on which
  the event was logged.

## **2021-09-07** API schema changes.

*Changes in existing dimensions:*

- `unifiedPageScreen` For web generated events, this dimension now returns the **page path and query string** on which the event was logged.

*Upcoming changes announcement:*

- `firstUserTrafficOrigin` The traffic origin that first acquired the user.
  Please do not depend on this field returning 'Manual' for traffic that uses
  UTMs; **this field will update from returning 'Manual' to returning
  '(not set)' for an upcoming feature launch.**

- `sessionTrafficOrigin` The traffic origin of the session's campaign.
  Please do not depend on this field returning 'Manual' for traffic that uses
  UTMs; **this field will update from returning 'Manual' to returning
  '(not set)' for an upcoming feature launch.**

- `trafficOrigin` The traffic origin of the conversion event's campaign.
  Please do not depend on this field returning 'Manual' for traffic that uses
  UTMs; **this field will update from returning 'Manual' to returning
  '(not set)' for an upcoming feature launch.**

## **2021-09-07** `checkCompatibility` method added to the API.

[`checkCompatibility`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/checkCompatibility)
method lists dimensions and metrics that can be added to a report request and
maintain compatibility.

## **2021-07-21** Realtime reporting changes.

It is now possible to specify the minute ranges of event data to read using
the [`minuteRanges`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/runRealtimeReport#body.request_body.FIELDS.minute_ranges)
parameter of the [`runRealtimeReport`](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/runRealtimeReport)
method.

## **2021-07-21** New channel grouping dimensions.

New channel grouping dimensions added to the [Data API reporting schema](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema):

- `firstUserDefaultChannelGrouping` First user default channel grouping.

- `defaultChannelGrouping` Default channel grouping.

## **2021-06-10** [API schema](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema) changes.

- `minutesAgo` dimension added to the Data API realtime schema and can be
  used in queries to the `runRealtimeReport` method.
  This dimension contains the number of minutes ago that an event was
  collected. 00 is the current minute, and 01 means the previous minute.

- `googleAdsCreativeId` dimension added to the Data API schema. This
  dimension contains the ID of the Google Ads creative attributed to the
  conversion event.

- `sessionGoogleAdsCreativeId` dimension added to the Data API schema. This
  dimension contains the ID of the Google Ads creative that lead to a session
  on your website or app.

- `firstUserCreativeId` dimension renamed to `firstUserGoogleAdsCreativeId` in
  the Data API schema. This dimension contains the ID of the Google Ads
  creative that first acquired the user.

## **2021-04-09** The Google Analytics Data API v1 beta has been released.

- The API endpoint updated to `https://analyticsdata.googleapis.com/v1beta`.

- `runReport`, `runPivotReport`, `batchRunReports`, `batchRunPivotReports`
  methods now accept the id of a Google Analytics 4 property in the `property`
  parameter of the URL path instead of the `entity` field of a request body:

      POST https://analyticsdata.googleapis.com/v1beta/GA4_PROPERTY_ID:batchRunReports

- API client libraries have been updated to use the new API endpoint.

## **2021-02-19** Pagination changes.

- The default report response size increased from 10 to 10,000 rows of event
  data.

- `"limit" : -1` value that was used to indicate an attempt to retrieve all
  rows is no longer supported in [RunReportRequest](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/runReport#request-body).

- The maximum value of the `limit` field is set to `100000`. Use [pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination)
  to retrieve reports containing more than 100,000 rows.

## **2021-02-08** New e-commerce dimensions and metrics.

New e-commerce dimensions and metrics have been added to the [API schema](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema):

**Dimensions:** `adFormat`, `adSourceName`, `adUnitName`, `itemBrand`,
`itemCategory`, `itemCategory2`, `itemCategory3`, `itemCategory4`,
`itemCategory5` `itemId`, `itemListId`, `itemListName`, `itemName`,
`itemPromotionCreativeName`, `itemPromotionId`, `itemPromotionName`,
`orderCoupon`, `transactionId`.

**Metrics:** `adUnitExposure`, `addToCarts`, `cartToViewRate`, `checkouts`,
`ecommercePurchases`, `firstTimePurchasers`, `itemListClickThroughRate`,
`itemListClicks`, `itemListViews`, `itemPromotionClickThroughRate`,
`itemPromotionClicks`, `itemPromotionViews`, `itemPurchaseQuantity`,
`itemRevenue`, `itemViews`, `publisherAdClicks`,
`publisherAdImpressions`, `totalPurchasers`.

## **2021-02-08** Added new campaign dimensions.

New campaign dimensions have been added to the [API schema](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema):
`campaignId`, `campaignName`, `googleAdsAccountName`,
`googleAdsAdGroupId`, `googleAdsAdGroupName`, `googleAdsAdNetworkType`,
`source`, `trafficOrigin`

## **2021-02-08** `dayOfWeek`, `week` dimension changes.

- The value of `dayOfWeek` dimension now starts with 0 instead
  of 1.

- The value of `week` dimension now starts with 01 and returns a two-digit
  number from 01 to 53. Each week starts on Sunday. January 1st is always in week
  01.

## **2021-01-28** Added aggregation variants for custom metrics.

Each custom metric that a property registers creates three
[API metric variants](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#custom_metric_variants): a sum, an average,
and a count.

## **2021-01-28** Added new Date/time dimensions.

The following new dimensions have been added to the [API schema](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema):
`hour`, `nthHour`, `nthYear`, `dateHour`.

## **2021-01-28** The Data API reduced the quota tokens charged per query.

The Data API reduced the quota tokens charged per query. The quota limits for
property quota tokens per hour and per day were not changed.

## **2020-11-09** The method `getUniversalMetadata` has been deleted.

The method `getUniversalMetadata` has been deleted. Please use
[getMetadata](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/getMetadata). The one year maximum
date range per API request has been removed.

## **2020-11-02** Added a Realtime Reporting Method.

See the [Creating a Realtime Report](https://developers.google.com/analytics/devguides/reporting/data/v1/realtime-basics) for examples and
[runRealtimeReport](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/runRealtimeReport) for the
REST reference documentation.

## **2020-10-19** Client library artifacts updated.

[Client library artifacts](https://developers.google.com/analytics/devguides/reporting/data/v1/changelog#client_libraries) updated along with usage
instructions and code samples.

## **2020-10-13** App + Web properties have been renamed to Google Analytics 4 (GA4).

## **2020-10-08** `getMetadata` method added to the API.

[getMetadata](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/properties/getMetadata) method returns Custom
dimensions and metrics available for the specified GA4 property ID, as well as
Universal metadata.

## **2020-10-08** Custom dimensions and metrics are available in reports.

See the [API schema documentation](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema) for documentation on custom dimensions
and metrics. This update includes Event-scoped Custom Dimensions and metrics as
well as User-scoped Custom Dimensions.